Modify Order
Request to be POSTed to uri : /NorenWClientAPI/ModifyOrder
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| exch* | Exchange | |
| norenordno* | Noren order number, which needs to be modified | |
| prctyp* | LMT / SL-LMT | Price Type can be modified |
| prc* | Modified / New price | |
| qty* | Modified / New Quantity | |
| tsym* | Unque id of contract on which order was placed. Can’t be modified, must be the same as that of original order. (use url encoding to avoid special char error for symbols like M&M) | |
| ret | DAY / IOC / EOS | New Retention type of the order |
| mkt_protection | Market order protection percentage. Applicable only for MKT orders in BSE/BFO/BCS and MCX segments. | |
| trgprc | New trigger price in case of SL-MKT or SL-LMT | |
| dscqty | Disclosed quantity (Max 10% for NSE, and 50% for MCX) | |
| ext_remarks | External remarks | |
| cl_ord_id | Cli Order Id | |
| channel | Channel | |
| usr_agent | User Agent | |
| app_inst_id | App Install Id | |
| uid* | User id of the logged in user. | |
| bpprc | Book Profit Price applicable only if product is selected as B (Bracket order ) | |
| blprc | Book loss Price applicable only if product is selected as H and B (High Leverage and Bracket order ) | |
| trailprc | Trailing Price applicable only if product is selected as H and B (High Leverage and Bracket order ) | |
| ordersource | MOB / WEB / TT / API | Used to generate exchange info fields. [Optional field else it will take login access type] |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/ModifyOrder' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer 17ec1bc8a6232a4a78c42d8caca2e576de7f4328169200948cfcbb78b2a98b7f' \
--data 'jData={"uid":"DEMO","exch":"NSE","tsym":"ACC-EQ","norenordno":"25120500000252","qty":"50","prc":"610","prctyp":"LMT","ordersource":"API"}'
Response Details :
Response data will be in json format with below fields.
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Ok or Not_Ok | Modify order success or failure indication. |
| result | Noren Order number of the order modified. | |
| request_time | Response received time. | |
| emsg | This will be present only if Order modification fails |
Sample Success Response :
{
"request_time": "16:04:06 05-12-2025",
"stat": "Ok",
"result": "25120500000252"
}
Sample Failure Response :
{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid Session Key"
}